<EntityClassDefinition.HRST_LaserScatterGun_S3 __id="5f31f7c2-1383-4d77-892b-24507515ab0b" __path="libs/foundry/records/entities/scitem/ships/weapons/hrst_laserscattergun_s3.xml" __type="EntityClassDefinition" BBoxSelection="1" Category="Items" entityDensityClass="a153bc13-b348-47a4-8bae-1ce22b0b4023" Icon="Default.bmp" Invisible="0">
  <Components>
    <EntityComponentPowerConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentPowerConnection" DecayRateOfEM="0.20000000298023224" DisplayedInPoweredItemList="1" IsOverclockable="0" IsThrottleable="0" MisfireGenerationParams="None" MisfireItemTypeLocID="@LOC_PLACEHOLDER" OverclockPerformance="0.23000000417232513" OverclockThresholdMax="0.38999998569488525" OverclockThresholdMin="0.23000000417232513" OverpowerPerformance="0.20000000298023224" PowerBase="200.0" PowerDraw="250.0" PowerToEM="0.6600000262260437" SafeguardPriority="20" TimeToReachDrawRequest="0.0" WarningDelayTime="0.30000001192092896" WarningDisplayTime="8.0">
      <MisfireEvents __type="SMisfireEvents">
        <CriticalMisfires />
        <MajorMisfires />
        <MinorMisfires />
      </MisfireEvents>
    </EntityComponentPowerConnection>
    <EntityComponentHeatConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentHeatConnection" Mass="320.0" MaxCoolingRate="137.5" MaxTemperature="700.0" MinTemperature="0.0" MisfireMaxTemperature="600.0" MisfireMinTemperature="370.0" OverclockThresholdMaxHeat="0.6700000166893005" OverclockThresholdMinHeat="0.5199999809265137" OverheatTemperature="650.0" OverpowerHeat="0.6700000166893005" RecoveryTemperature="550.0" SpecificHeatCapacity="0.5" StartCoolingTemperature="300.0" StartIRTemperature="250.0" SurfaceArea="0.05000000074505806" TemperatureToIR="6.599999904632568" ThermalConductivity="0.05000000074505806" ThermalEnergyBase="100.0" ThermalEnergyDraw="200.0" />
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DeathExplosionParams="None" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="1" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="1550.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="0" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
      </DamageResistances>
      <DeathGasComposition />
      <HealthLevelStates />
      <InteractionLocks />
    </SHealthComponentParams>
    <SDegradationParams __type="DataForgeComponentParams" __polymorphicType="SDegradationParams" AtmosphereMultiplier="1.0" BasePowerMultiplier="0.0" DegradeOnlyWhenAttached="1" DrawPowerMultiplier="0.0" InitialAgeRatio="0.0" MaxLifetimeHours="20.0" PortTags="" RequiredPortTags="" StopDegradingWhenAttached="0">
      <EffectCurve __type="BezierCurve" useLUT="0">
        <points>
          <Vec2 __type="Vec2" x="-0.5997390151023865" y="-0.0446595698595047" />
          <Vec2 __type="Vec2" x="0.0" y="0.0" />
          <Vec2 __type="Vec2" x="0.5997390151023865" y="0.0446595698595047" />
          <Vec2 __type="Vec2" x="0.4339557886123657" y="0.02270212024450302" />
          <Vec2 __type="Vec2" x="0.6000000238418579" y="0.05000000074505806" />
          <Vec2 __type="Vec2" x="0.7660441994667053" y="0.0772978812456131" />
          <Vec2 __type="Vec2" x="0.7652410268783569" y="0.051595740020275116" />
          <Vec2 __type="Vec2" x="0.8500000238418579" y="0.20000000298023224" />
          <Vec2 __type="Vec2" x="0.9347590208053589" y="0.34840428829193115" />
          <Vec2 __type="Vec2" x="0.9174898862838745" y="0.5021064281463623" />
          <Vec2 __type="Vec2" x="1.0" y="0.8999999761581421" />
          <Vec2 __type="Vec2" x="1.082509994506836" y="0.9978935718536377" />
        </points>
      </EffectCurve>
    </SDegradationParams>
    <SAmmoContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SAmmoContainerComponentParams" ammoContainerType="Primary" ammoCountAnimationBlendTime="0.0" ammoParamsRecord="1eeac196-d785-4d74-a008-221996ebab6a" despawnEmptyAmmoContainer="1" emptyGeometryTag="empty" initialAmmoCount="0" maxAmmoCount="0">
      <ammoCountFragment __type="SFragmentParams" fragment="" />
      <attachableEntities />
      <hideAttachments />
    </SAmmoContainerComponentParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" Manufacturer="ee8b7bb3-d420-435c-924f-561e67e64588" RequiredTags="" Size="3" SubType="Gun" Tags="HRST ScatterGun flightReady weaponMountUsable" Type="WeaponGun">
        <inventoryOccupancyDimensions __type="Vec3" x="0.6699013710021973" y="4.422015190124512" z="1.2028419971466064" />
        <inventoryOccupancyDimensionsUIOverride __type="Vec3" x="0.3799999952316284" y="0.699999988079071" z="0.3799999952316284" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="756000" />
        <Localization __type="SCItemLocalization" Description="@item_DescHRST_LaserScattergun_S3" Name="@item_NameHRST_LaserScattergun_S3" ShortName="@item_NameHRST_LaserScattergun_S3_short">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemWeaponComponentParams __type="DataForgeComponentParams" __polymorphicType="SCItemWeaponComponentParams" actorProceduralRecoilConfig="00000000-0000-0000-0000-000000000000" aimableAnglesRecord="886b4b9a-c8d7-4da7-96e8-c6423fb9cacf" aimAction="None" ammoContainerRecord="00000000-0000-0000-0000-000000000000" autoAimMuzzleAngleOverwrite="-1.0" fireSpinAnimationParams="None" geometryTags="" gimbalModeModifierRecord="d2357515-cf1a-4064-8552-52e0e24b5cd9" isAllowedInGreenZones="0" proceduralAnimationRecord="00000000-0000-0000-0000-000000000000" ShouldIgnorePrimaryAmmoContainer="0" supplementaryFireTime="0.0" uncollapseOnTurnedOn="0" useAdsHelper="1">
      <audioParams __type="SWeaponAudioParams" visorAudioAvailable="0">
        <ammoCountRTPC __type="AudioRtpc" rtpc="Ammo_Count_Normalised" />
        <overheatAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHO_Overheat_Scattergun_Offline" />
        <overheatEndAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHO_Overheat_Scattergun_Online" />
        <switchFireModeAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
        <weaponHeatRTPC __type="AudioRtpc" rtpc="Weapon_Heat_Level" />
        <weaponPowerRTPC __type="AudioRtpc" rtpc="Weapon_Power_Level" />
      </audioParams>
      <audioReportEnvironmentParams __type="SWeaponAudioReportEnvironmentParams" maxTriggers="6">
        <reportEnvironments>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Metal_Tiny">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Metal_Small">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Metal_Medium">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Metal_Large">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Cave_Small">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_INT_Cave_Large">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_EXT_Tiny">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_EXT_Small">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_EXT_Medium">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_EXT_Large">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
          <SWeaponAudioReportEnvironment __type="SWeaponAudioReportEnvironment" wwiseEnvironmentName="VERB_SYS_EXT__Space">
            <reportAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHR_Report_Planetary_s2_Medium" />
          </SWeaponAudioReportEnvironment>
        </reportEnvironments>
      </audioReportEnvironmentParams>
      <connectionParams __type="SWeaponConnectionParams" glowTag="7a0e2cb3-dd10-499d-8597-1b40b9af4a79" heatRateOnline="37.0" maxGlow="500.0" powerActiveCooldown="0.41999998688697815">
        <heatStats __type="SWeaponStats" ammoCost="0" ammoCostMultiplier="1.0" burstShots="0" damageMultiplier="1.0" fireRate="0" fireRateMultiplier="1.0" heatGenerationMultiplier="1.0" pellets="0" projectileSpeedMultiplier="1.0" soundRadiusMultiplier="1.0" useAlternateProjectileVisuals="0">
          <aimModifier __type="SAimModifier" hideWeaponInADS="0" zoomScale="1.0" zoomTimeScale="1.0" />
          <recoilModifier __type="SRecoilModifier" angleRecoilStrengthMultiplier="1.0" animatedRecoilMultiplier="1.0" decayMultiplier="1.0" endDecayMultiplier="1.0" fireRecoilStrengthFirstMultiplier="1.0" fireRecoilStrengthMultiplier="1.0" fireRecoilTimeMultiplier="1.0" frontalOscillationDecayMultiplier="1.0" frontalOscillationRandomnessMultiplier="1.0" frontalOscillationRotationMultiplier="1.0" frontalOscillationStrengthMultiplier="1.0" randomnessBackPushMultiplier="1.0" randomnessMultiplier="1.0">
            <aimRecoilModifier __type="SAimRecoilModifier" decayMultiplier="1.0" endDecayMultiplier="1.0" randomPitchMultiplier="1.0" randomYawMultiplier="1.0">
              <maxMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickFirstMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickMultiplier __type="Vec2" x="1.0" y="1.0" />
            </aimRecoilModifier>
            <headRotationMultiplier __type="Vec3" x="1.0" y="1.0" z="1.0" />
          </recoilModifier>
          <salvageModifier __type="SSalvageModifier" extractionEfficiency="1.0" radiusMultiplier="1.0" salvageSpeedMultiplier="1.0" />
          <spreadModifier __type="SSpreadModifier" additiveModifier="0.0" attackMultiplier="1.0" decayMultiplier="1.0" firstAttackMultiplier="1.0" maxMultiplier="1.0" minMultiplier="1.0" />
        </heatStats>
        <noPowerStats __type="SWeaponStats" ammoCost="0" ammoCostMultiplier="1.0" burstShots="0" damageMultiplier="1.0" fireRate="0" fireRateMultiplier="0.0" heatGenerationMultiplier="1.0" pellets="0" projectileSpeedMultiplier="1.0" soundRadiusMultiplier="1.0" useAlternateProjectileVisuals="0">
          <aimModifier __type="SAimModifier" hideWeaponInADS="0" zoomScale="1.0" zoomTimeScale="1.0" />
          <recoilModifier __type="SRecoilModifier" angleRecoilStrengthMultiplier="1.0" animatedRecoilMultiplier="1.0" decayMultiplier="1.0" endDecayMultiplier="1.0" fireRecoilStrengthFirstMultiplier="1.0" fireRecoilStrengthMultiplier="1.0" fireRecoilTimeMultiplier="1.0" frontalOscillationDecayMultiplier="1.0" frontalOscillationRandomnessMultiplier="1.0" frontalOscillationRotationMultiplier="1.0" frontalOscillationStrengthMultiplier="1.0" randomnessBackPushMultiplier="1.0" randomnessMultiplier="1.0">
            <aimRecoilModifier __type="SAimRecoilModifier" decayMultiplier="1.0" endDecayMultiplier="1.0" randomPitchMultiplier="1.0" randomYawMultiplier="1.0">
              <maxMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickFirstMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickMultiplier __type="Vec2" x="1.0" y="1.0" />
            </aimRecoilModifier>
            <headRotationMultiplier __type="Vec3" x="1.0" y="1.0" z="1.0" />
          </recoilModifier>
          <salvageModifier __type="SSalvageModifier" extractionEfficiency="1.0" radiusMultiplier="1.0" salvageSpeedMultiplier="1.0" />
          <spreadModifier __type="SSpreadModifier" additiveModifier="0.0" attackMultiplier="1.0" decayMultiplier="1.0" firstAttackMultiplier="1.0" maxMultiplier="1.0" minMultiplier="1.0" />
        </noPowerStats>
        <overclockStats __type="SWeaponStats" ammoCost="0" ammoCostMultiplier="1.0" burstShots="0" damageMultiplier="1.0" fireRate="0" fireRateMultiplier="1.5" heatGenerationMultiplier="1.0" pellets="0" projectileSpeedMultiplier="1.0" soundRadiusMultiplier="1.0" useAlternateProjectileVisuals="0">
          <aimModifier __type="SAimModifier" hideWeaponInADS="0" zoomScale="1.0" zoomTimeScale="1.0" />
          <recoilModifier __type="SRecoilModifier" angleRecoilStrengthMultiplier="1.0" animatedRecoilMultiplier="1.0" decayMultiplier="1.0" endDecayMultiplier="1.0" fireRecoilStrengthFirstMultiplier="1.0" fireRecoilStrengthMultiplier="1.0" fireRecoilTimeMultiplier="1.0" frontalOscillationDecayMultiplier="1.0" frontalOscillationRandomnessMultiplier="1.0" frontalOscillationRotationMultiplier="1.0" frontalOscillationStrengthMultiplier="1.0" randomnessBackPushMultiplier="1.0" randomnessMultiplier="1.0">
            <aimRecoilModifier __type="SAimRecoilModifier" decayMultiplier="1.0" endDecayMultiplier="1.0" randomPitchMultiplier="1.0" randomYawMultiplier="1.0">
              <maxMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickFirstMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickMultiplier __type="Vec2" x="1.0" y="1.0" />
            </aimRecoilModifier>
            <headRotationMultiplier __type="Vec3" x="1.0" y="1.0" z="1.0" />
          </recoilModifier>
          <salvageModifier __type="SSalvageModifier" extractionEfficiency="1.0" radiusMultiplier="1.0" salvageSpeedMultiplier="1.0" />
          <spreadModifier __type="SSpreadModifier" additiveModifier="0.0" attackMultiplier="1.0" decayMultiplier="1.0" firstAttackMultiplier="1.0" maxMultiplier="1.0" minMultiplier="1.0" />
        </overclockStats>
        <overheatEffects>
          <SWeaponParticleEffectParams __type="SWeaponParticleEffectParams" delay="1.0" helper="vent3_vfx" modifierSource="None" retriggerOnViewModeChange="0" scale="1.5" triggerTag="00000000-0000-0000-0000-000000000000">
            <firstPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
            <thirdPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
          </SWeaponParticleEffectParams>
          <SWeaponParticleEffectParams __type="SWeaponParticleEffectParams" delay="1.0" helper="vent2_vfx" modifierSource="None" retriggerOnViewModeChange="0" scale="1.5" triggerTag="00000000-0000-0000-0000-000000000000">
            <firstPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
            <thirdPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
          </SWeaponParticleEffectParams>
          <SWeaponParticleEffectParams __type="SWeaponParticleEffectParams" delay="1.0" helper="vent1_vfx" modifierSource="None" retriggerOnViewModeChange="0" scale="1.5" triggerTag="00000000-0000-0000-0000-000000000000">
            <firstPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
            <thirdPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.VentSteam" />
          </SWeaponParticleEffectParams>
        </overheatEffects>
        <overheatTag __type="SMannequinTagParams" tag="Overheated" />
        <overpowerStats __type="SWeaponStats" ammoCost="0" ammoCostMultiplier="1.0" burstShots="0" damageMultiplier="1.0" fireRate="0" fireRateMultiplier="1.2000000476837158" heatGenerationMultiplier="1.0" pellets="0" projectileSpeedMultiplier="1.0" soundRadiusMultiplier="1.0" useAlternateProjectileVisuals="0">
          <aimModifier __type="SAimModifier" hideWeaponInADS="0" zoomScale="1.0" zoomTimeScale="1.0" />
          <recoilModifier __type="SRecoilModifier" angleRecoilStrengthMultiplier="1.0" animatedRecoilMultiplier="1.0" decayMultiplier="1.0" endDecayMultiplier="1.0" fireRecoilStrengthFirstMultiplier="1.0" fireRecoilStrengthMultiplier="1.0" fireRecoilTimeMultiplier="1.0" frontalOscillationDecayMultiplier="1.0" frontalOscillationRandomnessMultiplier="1.0" frontalOscillationRotationMultiplier="1.0" frontalOscillationStrengthMultiplier="1.0" randomnessBackPushMultiplier="1.0" randomnessMultiplier="1.0">
            <aimRecoilModifier __type="SAimRecoilModifier" decayMultiplier="1.0" endDecayMultiplier="1.0" randomPitchMultiplier="1.0" randomYawMultiplier="1.0">
              <maxMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickFirstMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickMultiplier __type="Vec2" x="1.0" y="1.0" />
            </aimRecoilModifier>
            <headRotationMultiplier __type="Vec3" x="1.0" y="1.0" z="1.0" />
          </recoilModifier>
          <salvageModifier __type="SSalvageModifier" extractionEfficiency="1.0" radiusMultiplier="1.0" salvageSpeedMultiplier="1.0" />
          <spreadModifier __type="SSpreadModifier" additiveModifier="0.0" attackMultiplier="1.0" decayMultiplier="1.0" firstAttackMultiplier="1.0" maxMultiplier="1.0" minMultiplier="1.0" />
        </overpowerStats>
        <underpowerStats __type="SWeaponStats" ammoCost="0" ammoCostMultiplier="1.0" burstShots="0" damageMultiplier="1.0" fireRate="0" fireRateMultiplier="0.10000000149011612" heatGenerationMultiplier="1.0" pellets="0" projectileSpeedMultiplier="1.0" soundRadiusMultiplier="1.0" useAlternateProjectileVisuals="0">
          <aimModifier __type="SAimModifier" hideWeaponInADS="0" zoomScale="1.0" zoomTimeScale="1.0" />
          <recoilModifier __type="SRecoilModifier" angleRecoilStrengthMultiplier="1.0" animatedRecoilMultiplier="1.0" decayMultiplier="1.0" endDecayMultiplier="1.0" fireRecoilStrengthFirstMultiplier="1.0" fireRecoilStrengthMultiplier="1.0" fireRecoilTimeMultiplier="1.0" frontalOscillationDecayMultiplier="1.0" frontalOscillationRandomnessMultiplier="1.0" frontalOscillationRotationMultiplier="1.0" frontalOscillationStrengthMultiplier="1.0" randomnessBackPushMultiplier="1.0" randomnessMultiplier="1.0">
            <aimRecoilModifier __type="SAimRecoilModifier" decayMultiplier="1.0" endDecayMultiplier="1.0" randomPitchMultiplier="1.0" randomYawMultiplier="1.0">
              <maxMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickFirstMultiplier __type="Vec2" x="1.0" y="1.0" />
              <shotKickMultiplier __type="Vec2" x="1.0" y="1.0" />
            </aimRecoilModifier>
            <headRotationMultiplier __type="Vec3" x="1.0" y="1.0" z="1.0" />
          </recoilModifier>
          <salvageModifier __type="SSalvageModifier" extractionEfficiency="1.0" radiusMultiplier="1.0" salvageSpeedMultiplier="1.0" />
          <spreadModifier __type="SSpreadModifier" additiveModifier="0.0" attackMultiplier="1.0" decayMultiplier="1.0" firstAttackMultiplier="1.0" maxMultiplier="1.0" minMultiplier="1.0" />
        </underpowerStats>
      </connectionParams>
      <defaultAdsCameraOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <fireActions>
        <SWeaponActionFireSingleParams __type="SWeaponActionParams" __polymorphicType="SWeaponActionFireSingleParams" aiShootingMode="Single" entityTag="00000000-0000-0000-0000-000000000000" explosionParams="None" fireRate="70" heatPerShot="18000.0" localisedName="@FireMode_Single" name="Single" recoil="00000000-0000-0000-0000-000000000000" selectableCondition="None">
          <cooldownStartTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          <cooldownStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          <dryFireAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHD_DryFire_Scattergun" />
          <fireAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHA_HRST_LaserScatterGun_S3" />
          <fireEffects>
            <SWeaponParticleEffectParams __type="SWeaponParticleEffectParams" delay="0.0" helper="barrel_out" modifierSource="None" retriggerOnViewModeChange="0" scale="1.0" triggerTag="00000000-0000-0000-0000-000000000000">
              <firstPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.HRST_laser_scattergun_s3_MuzFlash" />
              <thirdPerson __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Weapons\hrst_laser_scattergun_s3.MuzFlash.HRST_laser_scattergun_s3_MuzFlash" />
            </SWeaponParticleEffectParams>
          </fireEffects>
          <fireFragment __type="SFragmentParams" fragment="recoil_01" />
          <launchParams __type="SLauncherBase" __polymorphicType="SProjectileLauncher" ammoCost="1" damageMultiplier="1.0" fireHelper="barrel_out" muzzleHelper="" pelletCount="8" soundRadius="50.0">
            <spreadParams __type="SSpreadParams" attack="0.44999998807907104" decay="0.6000000238418579" firstAttack="0.5" max="8.0" min="4.0" />
          </launchParams>
          <mannequinTag __type="SMannequinTagParams" tag="" />
          <switchFireModeAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          <vibrationParams __type="SWeaponVibrationParams" normalVibration="0.0" playerVibration="0.0" />
        </SWeaponActionFireSingleParams>
      </fireActions>
      <onAttachParams />
      <reticleParams __type="SWeaponReticleParams" adsReticle="none" defaultReticle="BC" />
      <secondaryAmmoContainers />
      <specialEffectsParams>
        <SWeaponParticleEffectParamsArray __type="SWeaponParticleEffectParamsArray">
          <effects />
        </SWeaponParticleEffectParamsArray>
        <SWeaponParticleEffectParamsArray __type="SWeaponParticleEffectParamsArray">
          <effects />
        </SWeaponParticleEffectParamsArray>
        <SWeaponParticleEffectParamsArray __type="SWeaponParticleEffectParamsArray">
          <effects />
        </SWeaponParticleEffectParamsArray>
      </specialEffectsParams>
      <turnedOnEffects />
      <weaponAIData __type="SWeaponAIDataParams" baseAccuracy="1.0" canShootWhenObstructed="0" chargedWeaponAIParams="None" CombatRangeCategory="Medium" idealCombatRange="50.0" impactRadiusForFriendlyFire="0.0">
        <accuracyRange __type="Range" maximum="100.0" minimum="1.0" />
      </weaponAIData>
      <weaponRegenConsumerParams __type="SWeaponRegenConsumerParams" regenerationCooldown="1.25" regenerationCostPerBullet="440.0" requestedAmmoLoad="15400.0" requestedRegenPerSec="2566.669921875" />
    </SCItemWeaponComponentParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Weapons\WEP_ScatterGun_ControllerDef.xml" AnimationDatabase="SCItems\Weapons\HRST\HRST_LaserScatterGun.adb" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks />
      <ScopeContexts>
        <SAnimationScopeContext __type="SAnimationScopeContext" scopeContext="Weapon" type="Self" />
      </ScopeContexts>
      <Tags />
    </SAnimationControllerParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/Spaceships/Weapons/HRST/hrst_las_sca_s1-3_bas/hrst_las_sca_s3_bas.cgf" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" soundEffects="None" uiOwnerEffects="None">
        <particleEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_ParticleCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects />
        </particleEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SCItemPurchasableParams __type="DataForgeComponentParams" __polymorphicType="SCItemPurchasableParams" allowQuickBuy="0" allowTryOn="0" defaultAttachToPortName="" Display="None" displayName="@item_NameHRST_LaserScattergun_S3" displayThumbnail="" displayType="@item_displayType_ScatterGun" interactionPointTemplate="f00575ab-66be-4edc-850e-b4475d52a833" tryOnInteractionText="@shop_ui_item_action_preview">
      <disabledLoadoutInteractions />
    </SCItemPurchasableParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="200.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SARDataComponentParams __type="DataForgeComponentParams" __polymorphicType="SARDataComponentParams" dataType="ShopItem" description="@LOC_EMPTY" labelMovementType="FacingPlayer" labelZOrientationOffset="0.0" rangeMax="5.0" rangeMin="1.0" scaleCapDistance="10.0" subtitle1="@LOC_EMPTY" subtitle2="@LOC_EMPTY" title1="@LOC_EMPTY" title2="@LOC_EMPTY" visibleThroughWalls="1">
      <labelAttachOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <labelScale __type="Vec3" x="1.0" y="1.0" z="1.0" />
      <queryOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
    </SARDataComponentParams>
    <SDistortionParams __type="DataForgeComponentParams" __polymorphicType="SDistortionParams" DecayDelay="1.5" DecayRate="27.0" Maximum="686.0" PowerChangeOnlyAtMaxDistortion="0" PowerRatioAtMaxDistortion="0.0" RecoveryRatio="0.6299999952316284" WarningRatio="0.75" />
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Barrel Attachment 1" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="1" MinSize="1" Name="BAR1" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_bar" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponAttachment">
              <SubTypes>Barrel</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Firing Mechanism Attachment" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="1" MinSize="1" Name="MEC" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_mec" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponAttachment">
              <SubTypes>FiringMechanism</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Power Array Attachment" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="1" MinSize="1" Name="POW" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_pow" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponAttachment">
              <SubTypes>PowerArray</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="Ventilation Attachment" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="1" MinSize="1" Name="VEN" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_ven" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponAttachment">
              <SubTypes>Ventilation</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
    <SCItemAimableComponentParams __type="DataForgeComponentParams" __polymorphicType="SCItemAimableComponentParams" />
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="HRST_LaserScatterGun_Barrel_S3" inventoryContainer="None" itemPortName="BAR1" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="HRST_LaserScatterGun_FiringMechanism_S3" inventoryContainer="None" itemPortName="MEC" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="HRST_LaserScatterGun_PowerArray_S3" inventoryContainer="None" itemPortName="POW" loadout="None" />
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="HRST_LaserScatterGun_Ventilation_S3" inventoryContainer="None" itemPortName="VEN" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
  </Components>
  <StaticEntityClassData>
    <DefaultEntitlementEntityParams __type="EntityClassStaticDataParams" __polymorphicType="DefaultEntitlementEntityParams" canEntitleThroughWebsite="1" entitlementPolicy="6df1749c-48ea-43e5-bae5-8084d9fe5aca" />
  </StaticEntityClassData>
  <tags />
</EntityClassDefinition.HRST_LaserScatterGun_S3>